code stringlengths 2 1.05M | repo_name stringlengths 5 110 | path stringlengths 3 922 | language stringclasses 1
value | license stringclasses 15
values | size int64 2 1.05M |
|---|---|---|---|---|---|
#!/usr/bin/env bash
# Copyright 2009 The Go Authors. All rights reserved.
# Use of this source code is governed by a BSD-style
# license that can be found in the LICENSE file.
eval $(gomake --no-print-directory -f ../../Make.inc go-env)
if [ -z "$O" ]; then
echo 'missing $O - maybe no Make.$GOARCH?' 1>&2
exit 1
fi
... | niemeyer/golang | src/cmd/gofmt/test.sh | Shell | bsd-3-clause | 3,154 |
#!/bin/bash
#
# Developed by Rafael Corrêa Gomes
# Contact rafaelcgstz@gmail.com
#
# Index function
chrome.sh(){
clear;
#Show options
echo -e "
${txtblu}
What's your version?
${txtrst}
1) 32 bits
2) 64 bits
";
# Get value
read version
# Case
case $version in
... | rafaelstz/simplesh | desktop/chrome.sh | Shell | mit | 974 |
#!/bin/bash
FN="hugene21sttranscriptcluster.db_8.7.0.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.10/data/annotation/src/contrib/hugene21sttranscriptcluster.db_8.7.0.tar.gz"
"https://bioarchive.galaxyproject.org/hugene21sttranscriptcluster.db_8.7.0.tar.gz"
"https://depot.galaxyproject.org/software/biocondu... | Luobiny/bioconda-recipes | recipes/bioconductor-hugene21sttranscriptcluster.db/post-link.sh | Shell | mit | 1,552 |
#! /bin/sh
# Copyright (C) 2011-2013 Free Software Foundation, Inc.
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program ... | DDTChen/CookieVLC | vlc/extras/tools/automake/t/ar-lib4.sh | Shell | gpl-2.0 | 1,213 |
#! /bin/sh
# Test for getconf(1).
# Copyright (C) 2001-2012 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundation; ... | apc-llc/glibc-2.17 | posix/tst-getconf.sh | Shell | gpl-2.0 | 5,385 |
#
# Disable squid.service for all systemd targets
#
systemctl disable squid.service
#
# Stop squid.service if currently running
#
systemctl stop squid.service
| mpreisler/scap-security-guide-debian | scap-security-guide-0.1.21/RHEL/7/input/fixes/bash/service_squid_disabled.sh | Shell | gpl-2.0 | 160 |
#!/bin/sh
# Test of gettext functions.
# Copyright (C) 2000-2017 Free Software Foundation, Inc.
# This file is part of the GNU C Library.
# The GNU C Library is free software; you can redistribute it and/or
# modify it under the terms of the GNU Lesser General Public
# License as published by the Free Software Foundat... | evaautomation/glibc-linaro | intl/tst-gettext.sh | Shell | gpl-2.0 | 2,035 |
#!/bin/sh
# a fairly simple script to merge a given tree into an existing,
# bootable ramdisk. a new ramdisk is created since space may be an
# issue (especially if we start letting people put their own files in
# here to preserve across the install).
unset LANG
unset PATH
export PATH=/sbin:/bin:/usr/sbin:/usr/bin
... | PaulWay/spacewalk | client/tools/spacewalk-koan/merge-rd.sh | Shell | gpl-2.0 | 5,797 |
#! /usr/bin/env bash
/usr/bin/time --output=run_time.txt R -f time_standard.R
| CancerInSilico/CancerInSilico | inst/scripts/record_time.sh | Shell | gpl-3.0 | 80 |
#!/bin/bash
#
# https://github.com/jbfink/docker-wordpress/blob/master/scripts/foreground.sh
#
read pid cmd state ppid pgrp session tty_nr tpgid rest < /proc/self/stat
trap "kill -TERM -$pgrp; exit" EXIT TERM KILL SIGKILL SIGTERM SIGQUIT
source /etc/apache2/envvars
apache2 -D FOREGROUND
| csirtgadgets/massive-octo-spice | Docker/scripts/foreground.sh | Shell | lgpl-3.0 | 289 |
#!/bin/bash -eu
# Copyright 2020 Google Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agree... | skia-dev/oss-fuzz | projects/http-parser/build.sh | Shell | apache-2.0 | 1,105 |
#!/bin/bash -e
# Builds and tests LASzip
source ./scripts/ci/common.sh
mkdir -p _build || exit 1
cd _build || exit 1
cmake ..
make
#./bin/laszippertest
| LASzip/LASzip | scripts/ci/script.sh | Shell | apache-2.0 | 156 |
#!/bin/bash
# Copyright 2015 gRPC authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed t... | firebase/grpc-SwiftPM | test/distrib/csharp/run_distrib_test_dotnetcli.sh | Shell | apache-2.0 | 1,504 |
echo "Adding support for add-apt-repository command of <apt-get> !"
sudo apt-get update -y
sudo apt-get install software-properties-common -y
#LXC container CURL - ubu 14
echo "Make sure <CURL> is there !"
sudo apt-get install curl -y
#LXC container CURL - ubu 14 | krakky/market | cassandra_single/bin/ubuntu/trusty/sys_prepare.sh | Shell | apache-2.0 | 264 |
#!/usr/bin/env bash
# Copyright (c) 2012 The Chromium OS Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# This script sets up a Gentoo chroot environment. The script is passed the
# path to an empty folder, which will be populated wi... | mjg59/scripts | sdk_lib/make_chroot.sh | Shell | bsd-3-clause | 10,101 |
#!/bin/sh
# Requires maven to be on the classpath
# Skips test phase
mvn clean install -DskipTests=true
mvn clean install -DskipTests=true -f dhis-web/pom.xml
| EyeSeeTea/dhis2 | dhis-2/build.sh | Shell | gpl-3.0 | 163 |
#!/bin/sh
# Ensure that by default, du doesn't dereference command-line symlinks.
# Copyright (C) 2003-2014 Free Software Foundation, Inc.
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, eithe... | houwentaoff/coreutils | tests/du/no-deref.sh | Shell | gpl-3.0 | 1,026 |
#!/bin/bash
#
# Copyright 2014 Amazon.com, Inc. or its affiliates. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License").
# You may not use this file except in compliance with the License.
# A copy of the License is located at
#
# http://aws.amazon.com/apache2.0
#
# or in the "license... | mtrescot/aws-codedeploy-sample-tomcat | scripts/register_with_elb.sh | Shell | apache-2.0 | 2,916 |
#!/usr/bin/env bash
echo "starting httpd"
systemctl start httpd.service
if [ -x /usr/local/bin/mailcatcher ]; then
echo "Starting mailcatcher"
/usr/local/bin/mailcatcher --ip=0.0.0.0
fi
if [ -d /var/www/html/silverstripe-cache ]; then
echo "Clearing SS site cache"
rm -rf /var/www/html/silverstripe-cache/*
fi
| BetterBrief/vagrant-skeleton | scripts/always.sh | Shell | bsd-3-clause | 320 |
#!/bin/bash
{ # this ensures the entire script is downloaded #
nvm_has() {
type "$1" > /dev/null 2>&1
}
if [ -z "$NVM_DIR" ]; then
NVM_DIR="$HOME/.nvm"
fi
nvm_latest_version() {
echo "v0.27.1"
}
#
# Outputs the location to NVM depending on:
# * The availability of $NVM_SOURCE
# * The method used ("script" or... | tianzhihen/nvm | install.sh | Shell | mit | 7,731 |
#!/bin/bash
# This script is a part of RPC & TI-RPC Test Suite
# (c) 2007 BULL S.A.S.
# Please refer to RPC & TI-RPC Test Suite documentation.
# More details at http://nfsv4.bullopensource.org/doc/rpc_testsuite.php
# This scripts launch everything needed to test RPC & TI-RPC
# Never try to launch alone, run "script_r... | anthony-kolesov/arc_ltp | testcases/network/rpc/rpc-tirpc-full-test-suite/tirpc_toplevel_complex_lib.sh | Shell | gpl-2.0 | 2,302 |
#!/bin/bash
duration=1000;
NC=$(nproc);
echo -- $NC cores / $duration ms;
echo "";
echo "static __attribute__ ((unused)) double eng_per_test_iter_nj[$NC][5] = ";
echo " {";
for c in $(seq 1 1 $NC)
do
res=$(sudo ./bin/test -d$duration -n$c);
# echo "$res";
pow_tot=$(echo "$res" | awk '/Total power/ { p... | sayounara/ASCYLIB | scripts/estimate_test_pow.sh | Shell | gpl-2.0 | 1,083 |
BootstrapMac() {
if hash brew 2>/dev/null; then
echo "Using Homebrew to install dependencies..."
pkgman=brew
pkgcmd="brew install"
elif hash port 2>/dev/null; then
echo "Using MacPorts to install dependencies..."
pkgman=port
pkgcmd="$SUDO port install"
else
echo "No Homebrew/MacPorts; ... | mitnk/letsencrypt | letsencrypt-auto-source/pieces/bootstrappers/mac.sh | Shell | apache-2.0 | 1,469 |
#!/bin/bash
# Based on
# http://sleepycoders.blogspot.com.au/2013/03/sharing-travis-ci-generated-files.html
# and https://github.com/richfitz/wood
# Push the built HTML pages to fatiando/dev to be served as the development
# docs in http://www.fatiando.org/dev
# Only works if the branch is created from the fatiando/f... | cmeessen/fatiando | ci/update-website.sh | Shell | bsd-3-clause | 2,132 |
#!/bin/sh
# Copyright 2013 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE file.
# This script generates a set of test (end-entity, intermediate, root)
# certificates that can be used to test fetching of an intermediate via AIA... | chromium/chromium | net/data/ssl/scripts/generate-test-certs.sh | Shell | bsd-3-clause | 23,926 |
#!/bin/bash
FN="TxDb.Celegans.UCSC.ce11.refGene_3.4.6.tar.gz"
URLS=(
"https://bioconductor.org/packages/3.14/data/annotation/src/contrib/TxDb.Celegans.UCSC.ce11.refGene_3.4.6.tar.gz"
"https://bioarchive.galaxyproject.org/TxDb.Celegans.UCSC.ce11.refGene_3.4.6.tar.gz"
"https://depot.galaxyproject.org/software/bioco... | cokelaer/bioconda-recipes | recipes/bioconductor-txdb.celegans.ucsc.ce11.refgene/post-link.sh | Shell | mit | 1,403 |
#! /bin/bash
#
# Run the docker container. Stop any previously running copies.
#
./stop.sh relex-plain
docker run --rm --name="relex-plain" -p 3333:3333 \
-w /home/Downloads/relex-master opencog/relex /bin/sh plain-text-server.sh
clear
| AmeBel/docker | opencog/relex/run-plain.sh | Shell | agpl-3.0 | 240 |
#!/bin/bash
#
# A test suite for recovery's package signature verifier. Run in a
# client where you have done envsetup, lunch, etc.
#
# TODO: find some way to get this run regularly along with the rest of
# the tests.
EMULATOR_PORT=5580
DATA_DIR=$ANDROID_BUILD_TOP/bootable/recovery/testdata
WORK_DIR=/data/local/tmp
... | Solitarily/cwm_bootable_recovery | verifier_test.sh | Shell | bsd-2-clause | 2,449 |
# Tools you can't live without
sudo yum install -y git vim
# I can't stand emacs
echo 'set -o vi' | sudo tee /etc/profile.d/vishell.sh
# Who knows how to configure RHEL at all anyway?
sudo service iptables stop
sudo chkconfig iptables off
| jmikola/mongo-php-driver-prototype | scripts/centos/essentials.sh | Shell | apache-2.0 | 242 |
#!/bin/sh
#
# Copyright (c) 2007 Johannes E. Schindelin
#
test_description='git status'
. ./test-lib.sh
test_expect_success 'status -h in broken repository' '
git config --global advice.statusuoption false &&
mkdir broken &&
test_when_finished "rm -fr broken" &&
(
cd broken &&
git init &&
echo "[status] sh... | velorientc/git_test3 | t/t7508-status.sh | Shell | gpl-2.0 | 32,026 |
#! /bin/sh -e
# Create a new upstream vendor branch.
# Usage:
# contrib/git-add-vendor-branch.sh <vendor>/<branch-name> <base>
usage ()
{
echo "Usage:"
echo " $0 <vendor>/<branch-name> <start-point>"
echo
echo "<vendor> must have already been set up using contrib/git-fetch-vendor.sh"
exit 1
}
... | Gurgel100/gcc | contrib/git-add-vendor-branch.sh | Shell | gpl-2.0 | 1,286 |
#!/bin/bash -eu
sphinxbase_version=0.8
sphinxbase_tgz=sphinxbase-${sphinxbase_version}.tar.gz
pocketsphinx_version=0.8
pocketsphinx_tgz=pocketsphinx-${sphinxbase_version}.tar.gz
ARCHIVE_DIR=/tmp/lumify/archives
# setup the archive dir
if [ ! -d "$ARCHIVE_DIR" ]; then
mkdir -p $ARCHIVE_DIR
fi
# download the arc... | bings/lumify | vagrant/scripts/install-sphinx.sh | Shell | apache-2.0 | 1,087 |
#!/usr/bin/env bash
# If clang_format_diff.py command is not specfied, we assume we are able to
# access directly without any path.
if [ -z $CLANG_FORMAT_DIFF ]
then
CLANG_FORMAT_DIFF="clang-format-diff.py"
fi
# Check clang-format-diff.py
if ! which $CLANG_FORMAT_DIFF &> /dev/null
then
echo "You didn't have clang-fo... | benqiu2016/nifi-minifi-cpp | thirdparty/rocksdb/build_tools/format-diff.sh | Shell | apache-2.0 | 3,885 |
#! /bin/bash
testexe=$1
testname=`basename ${testexe}`
echo -n "Executing ${testexe}..."
input=oracle/${testname}.in
actual=/tmp/actual$$
expected=oracle/${testname}.out
if [ ! -r oracle/${testname}.in ]; then
# Test does not expect input
LD_PRELOAD=./EasySandbox.so ./${testexe} > ${actual} 2> /dev/null
testexe_... | thezawad/Sharif-Judge | tester/easysandbox/runtest.sh | Shell | gpl-3.0 | 868 |
# Copyright (C) 2004-2008 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# Contributed by Sven Wegener (swegener@gentoo.org)
_config_vars="$_config_vars autoipd"
autoipd_depend() {
program /usr/sbin/avahi-autoipd
after interface
}
autoipd_start() {
_exists true || return 1
... | theeternalsw0rd/ports-2012 | net-dns/avahi/files/autoipd-openrc.sh | Shell | gpl-2.0 | 700 |
#!/bin/bash
cp -r ./* $PREFIX/
| guowei-he/bioconda-recipes | recipes/snippy/build.sh | Shell | mit | 32 |
#!/bin/sh
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License")... | arunasujith/wso2-axis2 | modules/samples/script/userguide/client_scripts/test_echo_non_blocking_client.sh | Shell | apache-2.0 | 1,059 |
#!/bin/sh
# Microsoft Azure OS X Package: Tarball Creation Script #2
# Copyright (c) Microsoft Corporation. All Rights Reserved.
#
# Remove streamline js file and publish compiled file to npm
# This deals with random errors caused by stale contents under
# $HOME/.streamline
if [ ! -f ./package.json ]; then
echo Plea... | msfcolombo/azure-xplat-cli | compile-for-publish.sh | Shell | apache-2.0 | 552 |
#!/bin/bash
#
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements. See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership. The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License");... | hastef88/andes | modules/andes-core/perftests/etc/scripts/JobQueue.sh | Shell | apache-2.0 | 870 |
#!/bin/bash
# Copyright 2017 The Kubernetes Authors.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law ... | raffaelespazzoli/origin | vendor/k8s.io/kubernetes/staging/src/k8s.io/code-generator/hack/update-codegen.sh | Shell | apache-2.0 | 1,414 |
#!/bin/bash
# Copyright 2014 The Kubernetes Authors All rights reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless require... | aaronlevy/kubernetes | build/make-release-notes.sh | Shell | apache-2.0 | 1,152 |
# Fix rights of /tmp (can be a volume)
chmod 1777 /tmp
| webdevops/Dockerfile | provisioning/base/general/provision/entrypoint.d/05-permissions.sh | Shell | mit | 55 |
export PROJECT=YOUR_PROJECT_HERE
export TARGET=YOUR_LOG_ADDRESS_HERE
export LOAD_NUM_REPLICAS=2
export ZONE="us-central1-a"
export LOADER_CONF="
BATCH_NAME=ct-session
CLIENTS_NUM_MAX=400
CLIENTS_NUM_START=10
CLIENTS_RAMPUP_INC=10
INTERFACE=eth0
NETMASK=32
IP_ADDR_MIN=@IP@
IP_ADDR_MAX=@IP@
CYCLES_NUM=-1
URLS_NUM=3
URL=... | raffaelespazzoli/origin | vendor/github.com/google/certificate-transparency/cloud/google/loadtest/configs/scripted-example.sh | Shell | apache-2.0 | 721 |
# isc_2.sh
# Interactive Unix Version 2.2
# Compile perl entirely in posix mode.
# Andy Dougherty doughera@lafayette.edu
# Wed Oct 5 15:57:37 EDT 1994
#
# Use Configure -Dcc=gcc to use gcc
#
set `echo X "$libswanted "| sed -e 's/ c / /'`
shift
libswanted="$*"
case "$cc" in
*gcc*) ccflags="$ccflags -posix"
ldfl... | rhuitl/uClinux | user/perl/hints/isc_2.sh | Shell | gpl-2.0 | 625 |
# Install Puppet
source ./proxy.sh
cd /tmp
wget http://yum.puppetlabs.com/el/6/products/x86_64/puppetlabs-release-6-10.noarch.rpm
rpm -ivh puppetlabs-release-6-10.noarch.rpm
rm -f /tmp/puppetlabs-release-6-10.noarch.rpm
yum -y install puppet facter
| jedi4ever/veewee | templates/OracleLinux-6.5-x86_64-DVD/puppet.sh | Shell | mit | 252 |
#!/bin/bash -x
# Copyright 2015 The TensorFlow Authors. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless requ... | AsimmHirani/ISpyPi | tensorflow/contrib/tensorflow-master/tensorflow/contrib/makefile/compile_ios_tensorflow.sh | Shell | apache-2.0 | 2,846 |
### (c)2000-2011 Robert Hegemann
###
### /<path>/<artist>/<year>-<album>/<track-no> <title>
###
### SRC_ROOT : where the CD are located
### DST_ROOT : where newly encoded tracks should go
### DONE_ROOT : where verified encoded tracks are located
### LAME_EXE : points to program
### LAME_OPT : what options to use
######... | HellicarAndLewis/Caravideo | streaming_libs/lame/misc/mk_mp3.sh | Shell | mit | 5,191 |
###########################
# Settings
# These can be overwritten any time.
# If they are not set yet, they will be
# overwritten with their default values
default GREP grep
default ROOT sudo
default WGET wget
default CURL curl
env_default PAGER less
###########################
# Alias
# CAT, GREP, CURL, WGET
al... | okubax/dotfiles | zsh/oh-my-zsh/plugins/singlechar/singlechar.plugin.zsh | Shell | gpl-3.0 | 2,065 |
#!/bin/bash
if [ -z $LINUX_DIR ]
then
echo "Variable LINUX_DIR is not set. You can fix it by adding line"
echo ""
echo " export LINUX_DIR=<your linux git repository path>"
echo ""
echo "to ~/.bashrc or writing it in terminal."
exit
fi
if [ -z $2 ]
then
echo "Usage: $0 <destination directo... | zpp-2014-15/deltacompression | tools/create_linux_versions.sh | Shell | mit | 877 |
#!/bin/bash
echo extract-csharp.sh: Called with arguments: "$@"
extractor=$SEMMLE_PLATFORM_TOOLS/csharp/Semmle.Extraction.CSharp.Driver
for i in "$@"
do
shift
if [[ `basename -- "$i"` =~ csc.exe|mcs.exe|csc.dll ]]
then
echo extract-csharp.sh: exec $extractor --cil $@
exec "$extractor" --compiler $i --ci... | github/codeql | csharp/config/tracer/linux/extract-csharp.sh | Shell | mit | 386 |
# Regenerate tutorial HTML
asciidoctor -b html5 annalist-tutorial.adoc
| gklyne/annalist | documents/tutorial/make-annalist-tutorial.sh | Shell | mit | 73 |
#!/usr/bin/env bash
echo "Testing Git installation..."
if hash git 2>/dev/null; then
echo "Looks like Git was successfully installed!"
git --version
else
echo "Something went wrong and Git (probably) was not installed properly."
fi
| bound1ess/love-git | test/installation.sh | Shell | mit | 243 |
#!/bin/bash
KEYWORDS_CHILE="\bChile\b|Chilean"
KEYWORDS_CHILE_ALL="$KEYWORDS_CHILE"
if [ "$1" == "" ]; #Normal operation
then
debug_start "Chile"
CHILE=$(egrep -i "$KEYWORDS_CHILE" "$NEWPAGES")
categorize "CHILE" "Chile"
debug_end "Chile"
fi | MW-autocat-script/MW-autocat-script | catscripts/Government/Countries/Chile/Chile.sh | Shell | mit | 258 |
#!/bin/bash
set -e
set -x
/entrypoint-cli.sh
run-parts -v /etc/rc.d
# setup logging to stderror
LOG=/dev/shm/fpm-log
mkfifo -m 666 $LOG
set +x
while true; do cat $LOG >&2; done &
set -x
exec php-fpm8.1 -F --fpm-config /etc/php/8.1/fpm/php-fpm.conf -d log_errors=1 -d error_log=$LOG
| nfq-technologies/docker-images | php81-fpm/build/files/entrypoint.sh | Shell | mit | 290 |
#!/usr/bin/env bash
. $(dirname "${BASH_SOURCE[0]}")/common.sh
cd ${CURR_DIR}/issue2012-dc-env
$DUB app.d ${DC}
| Geod24/dub | test/dc-env.sh | Shell | mit | 114 |
#!/bin/bash
#v0.2.0
#------------------------------------------------------------------------------
# removes all the files from a deployed pgsql-runner instance
#------------------------------------------------------------------------------
doRemovePackage(){
doRemovePackageFiles
#remove the dirs as well
f... | YordanGeorgiev/pgsql-runner | src/bash/pgsql-runner/funcs/pckg/remove-package.func.sh | Shell | mit | 851 |
#!/usr/bin/env bash
provision apt
has build-essential || apt-install build-essential
# installs compiler cache
has ccache || {
echo "Installing ccache..."
apt-install ccache
ln -s /usr/bin/ccache /usr/local/bin/gcc
ln -s /usr/bin/ccache /usr/local/bin/g++
ln -s /usr/bin/ccache /usr/local/bin/cc
... | boof/vagrant.sh | build.sh | Shell | mit | 322 |
#!/usr/bin/env bash
brew install pyenv
brew outdated pyenv || brew upgrade pyenv
brew install libffi
brew install ncurses
brew install zlib
eval "$(pyenv init -)"
for version in $PYTHON_VERSION
do
pyenv install $version -s
done
pyenv local $PYTHON_VERSION
pip install --upgrade pip wheel
brew install redis
br... | whtsky/WeRoBot | travis/install.sh | Shell | mit | 895 |
#!/bin/bash
# GO TO PROJECT DIRECTORY
cd $(dirname "$0")
# INCLUDE ROUTES
source "deploy_seo_routes.sh"
# Should be provided by build server
# S3_KEY=...
# S3_SECRET=...
# BUCKET=...
SERVICE="http://localhost:3000/"
DIST="http://localhost:9000"
DIR="/tmp/s3build"
DATADIR="$DIR/data"
ng build --prod
php -S localhos... | Code-Mine-Development/CodeMine-Website-Web-Application | deploy_seo.sh | Shell | mit | 1,097 |
#! /bin/bash
release="9.5.5"
cd /opt && wget https://ftp.postgresql.org/pub/source/v$release/postgresql-$release.tar.gz
| terryshi96/simple-ansible-playbooks | roles/postgresql/files/download.sh | Shell | mit | 120 |
asl -L vtl2.asm
p2bin -r 0-4095 -l 0 vtl2.p
rm vtl2.p
../emulator/dist/Debug/GNU-Linux/emulator vtl2.bin
| paulscottrobson/vtl-1802 | vtl2/asm.sh | Shell | mit | 105 |
#!/usr/bin/env bash
# ghe-host-check command tests
# Bring in testlib
# shellcheck source=test/testlib.sh
. "$(dirname "$0")/testlib.sh"
begin_test "ghe-host-check"
(
set -e
ghe-host-check
ghe-host-check | grep OK
ghe-host-check | grep localhost
)
end_test
begin_test "ghe-host-check with host arg"
(
set ... | github/backup-utils | test/test-ghe-host-check.sh | Shell | mit | 2,947 |
#!/bin/bash
sudo rm -rf build/
sudo rm -rf dist/
sudo rm -rf zeeguu_web.egg-info/
find . | grep pyc | xargs rm -rf
| MrAlexDeluxe/Zeeguu-Web | cleanup.sh | Shell | mit | 117 |
#!/usr/bin/env bash
set -o errexit
set -o pipefail
set -o nounset
# set -o xtrace
sortings=( Sorted RevSorted Xor Random )
amounts=( 100 1K 1M )
for amount in "${amounts[@]}"
do
for sorting in "${sortings[@]}"
do
printf '%-14s' $sorting$amount:
for n in {1..3}
do
printf '%-14s' $(go test -test.bench=Tims... | psilva261/timsort | scripts/benchmark_table.sh | Shell | mit | 519 |
#!/bin/bash
/usr/local/bin/supervisord -n -c /etc/supervisord.conf | abomfim/docker-nginx-php | start.sh | Shell | mit | 66 |
git checkout -B gh-pages
npm run build
git add -f dist
git commit -am "Rebuild website"
git filter-branch -f --prune-empty --subdirectory-filter dist
git push -f origin gh-pages
git checkout -
| nbardy/namesake | gh-deploy.sh | Shell | mit | 193 |
#!/usr/bin/env sh
. $SCRIPT_DIRECTORY/../src/shtub_helpers.sh
. $SCRIPT_DIRECTORY/../src/shtub_helper_aliases.sh
_shtub_require()
{
script_name=$1
. $SCRIPT_DIRECTORY/../lib/$script_name
}
_shtub_describe()
{
print_indentation
println "$1"
indent
}
_shtub_it()
{
print_indentation
CURRENT_EXAMPLE="$1"
... | metropolislights/shtub | src/shtub_core.sh | Shell | mit | 872 |
#!/bin/sh
#Write a command confirming that the number of lines matching
#“Rose” but not matching “rose” is equal to the expected 2
grep Rose sonnets.txt | grep -v rose | wc
# 2 14 89
| ReanyAlex/unix_and_bash | command-line/chap3_4ex5.sh | Shell | mit | 210 |
# http://zsh.sourceforge.net/Doc/Release/Zsh-Line-Editor.html
# http://zsh.sourceforge.net/Doc/Release/Zsh-Line-Editor.html#Zle-Builtins
# http://zsh.sourceforge.net/Doc/Release/Zsh-Line-Editor.html#Standard-Widgets
# Make sure that the terminal is in application mode when zle is active, since
# only then values from ... | mass/dotfiles | zsh/lib/key-bindings.zsh | Shell | mit | 2,530 |
#!/bin/sh
curl -i -H "Accept: application/json" -H "Content-Type: application/json" http://localhost:8080/jaxrs-example/customers
echo '\n' | rebelizant/jaxrs-example | src/main/shell/getAllCustomers.sh | Shell | mit | 140 |
#!/usr/bin/env bash
# see:
# https://stackoverflow.com/questions/14168677/merge-development-branch-with-master
git add . && git commit -a
git checkout dev
# on branch development:
git merge master
# (resolve any merge conflicts if there are any)
git checkout master
git merge --no-ff dev
# (there won't be any conflic... | Cryptonomica/cryptonomica | merge.dev.and.master.sh | Shell | mit | 362 |
#!/bin/sh +e
test_proj="btford/angular-express-blog"
proj_name=$(basename $test_proj)
if [[ ! -d test/$proj_name ]]; then
git clone https://github.com/$test_proj test/
fi
docker run \
--rm \
-v $(pwd)/test/$proj_name:/src \
-v /var/run/docker.sock:/var/run/docker.sock \
alpine-nodejs-builder:4.2.1 \
$proj_name
... | chiefy/alpine-nodejs-builder | test/test.sh | Shell | mit | 403 |
#!/bin/bash
#set -x
######
# This script depends on the ideviceinstaller and associated command line tools. http://www.libimobiledevice.org/
#####
hash idevice_id 2>/dev/null || { echo >&2 "idevice_id is required. Please install via `brew install ideviceinstaller` and ensure its in your path."; exit 1; }
hash idevice... | jonmaier/qa_scripts | installipa.sh | Shell | mit | 1,771 |
#!/usr/bin/env bash
mkdir /etc/nginx/ssl 2>/dev/null
PATH_SSL="/etc/nginx/ssl"
PATH_KEY="${PATH_SSL}/${1}.key"
PATH_CSR="${PATH_SSL}/${1}.csr"
PATH_CRT="${PATH_SSL}/${1}.crt"
# php version check
[[ $5 = 5 ]] && PATH_PHP="/var/run/php5-fpm.sock" || PATH_PHP="/var/run/php/php7.0-fpm.sock"
if [ ! -f $PATH_KEY ] || [ !... | Alroniks/tao-vagrant | scripts/serve-tao.sh | Shell | mit | 2,073 |
#!/usr/bin/bash
# enable the bluetooth keyboard when reguested by paxnews2.py
# bluetooth ID of the TZUMI keyboard.
KBD=20:14:10:6D:D5:69
# Find if the kbd is connected, & use xargs to squash out the space in the string
conn=`bluetoothctl info $KBD | grep Connected | xargs`
split=( $conn ) # convert to an array
#... | rongrimes/paxnews | blt-kbd_tzumi.sh | Shell | mit | 583 |
alias zshconfig="vim ~/.zshrc"
alias youtube-dl-mp3='youtube-dl --extract-audio --add-metadata --audio-format mp3'
alias cls='clear'
alias diffmeld='meld'
alias rm='rm -i
alias gst='git status'
alias gpull='git pull'
alias gcommit='git commit'
alias gpush='git push''
| lstolowski/oh-my-zsh | custom/aliases.zsh | Shell | mit | 269 |
echo "Startup for MSYS..."
| zealic/.zeal-shell | system/msys.sh | Shell | mit | 28 |
. $HOME/qiime_software/activate.sh
export PATH=$PATH:/home/adam/qiime_software/usearch61
| arivers/CoralPaper2015 | env.sh | Shell | mit | 89 |
#! /bin/zsh
typeset -gi LISTMAX=0
typeset -gi HISTSIZE=65536
typeset -gi SAVEHIST=$HISTSIZE
typeset -gr HISTFILE=$ZDOTDIR/history
if [[ $UID = 0 ]]; then
unset HISTFILE
SAVEHIST=0
fi
| shyouhei/dotfiles | zsh/histories.zsh | Shell | mit | 188 |
#!/bin/bash
clear
echo "Choose action :"
echo "1 - INSTALL"
echo "2 - UPDATE"
echo "3 - CREATE DATABASE"
echo "4 - UPDATE DATABASE"
echo "5 - CREATE FIXTURES"
echo "6 - UPDATE FIXTURES"
echo "7 - EXIT"
read Key
case "$Key" in
1) echo "installing..."
curl -sS https://getcomposer.org/installer | php
php compos... | ShytN1k/blog | install.sh | Shell | mit | 1,459 |
#!/bin/bash
# fix all codeblocks which uses --- instead of ```
# usage: find src/ -name "*.md" -print0 | xargs -0 -L 1 fix_code_blocks.sh
file=$1
sed -i '
# exclude header
12,$ {
# find and replace
s/^---$/```/g
}
' "$file"
| arve0/codeclub_lesson_builder | utils/fix_code_blocks.sh | Shell | mit | 230 |
#!/bin/sh
set -e
xctool -project GDGeoDataDemo/GDGeoDataDemo.xcodeproj -scheme GDGeoDataDemo build test -sdk iphonesimulator
| knutigro/GDGeoData | travis/script.sh | Shell | mit | 127 |
source common.sh
# Querying the shares
setEnvVars custodian
peer chaincode query -C $1 -n shares -v 1.0 -c '{"Args":["queryMemberShares"]}' >&log.txt
verifyResult $? "ledger query"
SH=$(cat log.txt | awk '/Query Result/ {print $NF}')
echo shares=$SH
setEnvVars $1
peer chaincode query -C $1 -n shares -v 1.0 -c '{"Arg... | AsifRajwani/ipn-react | VotingProxy/cli/get-shares.sh | Shell | mit | 457 |
#!/bin/sh
gst hello.st
| raccy/raccy.github.io | code/base/hello/smalltalk/run.sh | Shell | mit | 23 |
#!/bin/sh
#############################################################################
# test_commit_range.sh - tests a range of commits in a sympy git repository.
#
# Usage: ./test_commit_range.sh earliest_commit latest_commit output_file
#
# It will start at latest_commit, run ./setup.py test and output the
# result... | asmeurer/Miscellaneous-Useful-Scripts | test_commit_range.sh | Shell | mit | 2,177 |
# This script should be sourced before using this repo (for development).
# It creates the python virtualenv and using pip to populate it
# This only run to setup the development environment.
# Installation is handled by setup.py/disttools.
# Robust way of locating script folder
# from http://stackoverflow.com/questio... | braincorp/robustus | use_repo.sh | Shell | mit | 1,049 |
#!/bin/sh
brew remove --force $(brew list) --ignore-dependencies &&
brew cleanup &&
echo 'Removed all installed Homebrew packages and unused archives.'
| irliao/dotfiles | bin/scripts/remove-all-brew-packages.sh | Shell | mit | 157 |
#!/bin/bash
php ../app/console doctrine:mapping:import CasavanaCOBDBundle annotation
echo "Mapa importado: Pulse una tecla para continuar..."
read -s
php ../app/console doctrine:generate:entities CasavanaCOBDBundle
echo "Entidades generadas: Pulse una tecla para continuar..."
read -s
| SalMax/casavana | scripts/Generar Entidades.sh | Shell | mit | 287 |
export DOCKER_CONFIG_PROD=${DOCKER_CONFIG_PROD:-docker-compose.production.yml}
export DOCKER_CONFIG_DEV=${DOCKER_CONFIG_DEV:-docker-compose.development.yml}
dcdev() {
docker-compose -f docker-compose.yml -f $DOCKER_CONFIG_DEV "$@"
}
dcprod() {
docker-compose -f docker-compose.yml -f $DOCKER_CONFIG_PROD "$@"
... | Producters/docker-node-react-starter | bin/env.sh | Shell | mit | 321 |
#!/bin/sh
# CYBERWATCH SAS - 2017
#
# Security fix for RHSA-2016:0513
#
# Security announcement date: 2016-03-25 00:02:47 UTC
# Script generation date: 2017-01-20 21:23:29 UTC
#
# Operating System: Red Hat 7
# Architecture: x86_64
#
# Vulnerable packages fix on version:
# - java-1.8.0-openjdk.x86_64:1.8.0.77-0.b0... | Cyberwatch/cbw-security-fixes | Red_Hat_7/x86_64/2016/RHSA-2016:0513.sh | Shell | mit | 3,382 |
echo "Updating all software in default box"
yes | sudo apt-get update
echo "Installing git"
yes | sudo apt-get install git
echo "Installing Nodejs"
yes | sudo apt-get install nodejs
echo "Installing npm"
yes | sudo apt-get install npm
echo "Cloning source code from repository : SoftwareEngineeringToolDemos/FSE-2012-Tou... | SoftwareEngineeringToolDemos/FSE-2012-TouchDevelop | build-vm/bootstrap.sh | Shell | mit | 3,531 |
#!/bin/bash
JS_COMPILER=closure_compiler.jar
CSS_COMPILER=closure-stylesheets.jar
WWW_DIR=../../server/www
java -jar $JS_COMPILER --js $WWW_DIR/lib/bootstrap_tagsinput/bootstrap-tagsinput.js \
--js $WWW_DIR/js/utils/Constants.js \
--js $WWW_DIR/js/services/UtilsService.js \
--js $WWW_DIR/js/se... | CodeWall-EStudio/XZone | share/tools/compiler/build_www.sh | Shell | mit | 1,762 |
#!/bin/bash
cd /storage/docs/notes && \
echo -e "\n\n\n"
echo -e "********************************************************************************************" && \
echo -e "$(date +%Y%m%d-%H%M%S): Commiting and pushing to notes repo..." && \
git add . && \
git commit -m "automated commit on $(hostname) at $(date '+%A... | tiagoprn/devops | bin/update-notes.sh | Shell | mit | 624 |
resque_ctl="sudo resque-ctl"
resque_init_script="/etc/init/resque-${app_full_name}.conf"
service_resque(){
if [ -f $resque_init_script ] ; then
echo "executing ${resque_ctl} $1"
$resque_ctl $1
fi
}
stop_resque(){
service_resque stop
}
start_resque(){
service_resque start
}
restart_resque(){
servic... | reinteractive/OpsCare | lib/generators/ops_care/templates/deploy_hooks/services/resque-service.sh | Shell | mit | 339 |
#!/bin/sh
echo CXX = $1
echo CXXFLAGS = $2
echo INCLUDE = $3
for d in $(ls); do
if [ -d $d ]; then
cd $d
if [ ! -e Makefile ] ; then
cp ../Makefile_ Makefile
fi
pwd
make CXX="$1" CXXFLAGS="$2" INCLUDE="$3" run || exit 1
cd ..
fi
done | LNSEAB/spirea | test/test.sh | Shell | mit | 253 |
git config --global alias.co checkout
git config --global alias.br branch
git config --global alias.ci commit
git config --global alias.st status
git config --global alias.unstage 'reset HEAD --'
git config --global alias.last 'log -1 HEAD'
| JMwill/wiki | notebook/tool/git/git-alias.sh | Shell | mit | 241 |
#!/bin/sh
while true
do
DEBUG=nightmare* xvfb-run --server-args="-screen 0 1024x768x24" npm start
sleep ${INTERVAL_CHECK_M}m
done
| samuelmasuy/concordia-grade | grade-job.sh | Shell | mit | 138 |
#!/bin/bash
source _variables.sh
# Probar que se esta en el entorno de producción.
if [ $VIRTUALENV != $VIRTUAL_ENV_PROD ]
then
echo "reinstall_dev.sh es solo para el entorno virtual '$VIRTUAL_ENV_PROD'"
exit
fi
cd $PROJECT_ROOT
# Ejecutar git pull origin prod.
read -p "git pull origin $BRANCH_PROD? (y/[N]) " y... | snicoper/django-boilerplate | bin/reload_prod.sh | Shell | mit | 1,494 |
#!/bin/bash
set -ex
trap "echo FAILURE" ERR
if ! buildah inspect docs >/dev/null 2>&1; then
buildah build-using-dockerfile -t docs documentation-generator/build
fi
# current path must have the following repos cloned:
# * core (used for changelog, examples)
# * nova (used for changelog)
# * enterprise (used for cha... | cfengine/documentation-generator | build/run.sh | Shell | mit | 876 |
#!/bin/bash
/usr/bin/mysqld_safe > /dev/null 2>&1 &
RET=1
while [[ RET -ne 0 ]]; do
echo "=> Waiting for confirmation of MariaDB service startup"
sleep 5
mysql -uroot -e "status" > /dev/null 2>&1
RET=$?
done
if [ -n "$MARIADB_DATABASE" ]; then
mysql -uroot -e "CREATE DATABASE IF NOT EXISTS $MARIA... | VojtechBartos/docker-mariadb | create_mariadb_database_and_user.sh | Shell | mit | 801 |
Subsets and Splits
No community queries yet
The top public SQL queries from the community will appear here once available.